parameters:
#    d2_customer.example.class: D2\CustomerBundle\Example

services:
    d2_customer_manager:
        class:          D2\CustomerBundle\DependencyInjection\Services\CustomerManager
        arguments:      [@service_container, @mailer, @templating, @doctrine.orm.entity_manager]

    # With Selected Extensions
    d2_customer_bundle.waybill_with_selected.extension:
        class:          D2\CustomerBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: customer_assign_list }
            - { name: d2.with_selected, alias: customer_assign_list }
